package com.hzs.common.core.utils;

import com.hzs.common.core.constant.RetailConstants;
import com.hzs.common.core.enums.ESystemType;

import java.util.ArrayList;
import java.util.List;

public class BoxProductUtil {

    /**
     * 根据系统类型获取盒数商品
     *
     * @param systemType 系统类型（为空返回全部盒数商品）
     * @return
     */
    public static List<String> getBoxProductListBySystemType(Integer systemType) {
        List<String> productList = new ArrayList<>(0);

        if (null == systemType || ESystemType.ALL.getValue() == systemType) {
            productList.addAll(RetailConstants.ALL_BOX_WARES_LIST);
            return productList;

        }
        if (ESystemType.DEFAULT.getValue() == systemType) {
            // 新零售
            productList = RetailConstants.BOX_PRODUCT_LIST;
        }
        return productList;
    }

}
